import Vue from 'vue'
import App from '../view/popup.vue'
import store from '../store'
import router from '../router'
import ElementUI from 'element-ui'
import '../assets/css/element-variables.scss'
import '../assets/css/index.scss'
import instance from '../api'
import utils from '../utils'
import '../utils/install'
import dayjs from 'dayjs'

Vue.use(ElementUI)
Vue.config.productionTip = false

var relativeTime = require('dayjs/plugin/relativeTime')
require('dayjs/locale/zh-cn')
dayjs.extend(relativeTime)
Vue.prototype.$dayjs = dayjs
Vue.prototype.$base = "https://kuajing.pinduoduo.com"
Object.keys(utils).forEach(v => Vue.prototype[`$${v}`] = utils[v])

Vue.prototype.$http = instance

new Vue({
  store,
  router,
  render: (h) => h(App)
}).$mount('#app')
